import request from '@/utils/request'

/**
* 基础资料/库区信息表分页查询
* @param {查询条件} data
*/
export function listBasRegion(query) {
  return request({
    url: 'business/BasRegion/list',
    method: 'get',
    params: query,
  })
}


/**
* 新增基础资料/库区信息表
* @param data
*/
export function addBasRegion(data) {
  return request({
    url: 'business/BasRegion',
    method: 'post',
    data: data,
  })
}

/**
* 修改基础资料/库区信息表
* @param data
*/
export function updateBasRegion(data) {
  return request({
    url: 'business/BasRegion',
    method: 'PUT',
    data: data,
  })
}

/**
* 获取基础资料/库区信息表详情
* @param {Id}
*/
export function getBasRegion(id) {
  return request({
    url: 'business/BasRegion/' + id,
    method: 'get'
  })
}

/**
* 删除基础资料/库区信息表
* @param {主键} pid
*/
export function delBasRegion(pid) {
  return request({
    url: 'business/BasRegion/' + pid,
    method: 'delete'
  })
}

// 清空基础资料/库区信息表
export function clearBasRegion() {
  return request({
    url: 'business/BasRegion/clean',
    method: 'delete'
  })
}

// 导出基础资料/库区信息表
export async function exportBasRegion(query) {
  await downFile('business/BasRegion/export', { ...query })
}

